# AMT pipeline

## Install
This project requires `Poetry` and a `python=3.10` version to be installed.

You can install `python=3.10` using the official installer or by using a provider. I would recommend to use [miniconda](https://docs.anaconda.com/free/miniconda/)

`Poetry` can be installed with the official installer:
```bash
curl -sSL https://install.python-poetry.org | <python-3.10-path> -
```

Then, you can install the project like this:
```bash
bash scripts/install.sh
```

To add new packages, please run poetry manager rather than pip as follows:
```bash
poetry add <package>
```

You can run a single script using a venv or use poetry shell
```bash
poetry run <>
# or poetry shell
```

## Run the app

### Set creditentials
For security reason, you must set a username and a password for accessing the application. Please create a `.env` file in the project root directory.

If you are using OpenAI's API, set the `OPENAI_API_KEY` here as well.

Here is an example of this `.env` file:

```
APP_USERNAME=amt
APP_PASSWORD=amt
```

### Run offline app

```bash
poetry run python app/run.py
# open browser @ http://127.0.0.1:7860 or to the shared link
```