from dataclasses import dataclass


@dataclass
class PipelineResult:
    text: str
    lang: str
    start: float
    end: float
    speaker_id: str


@dataclass
class DiarizationResult:
    start: float
    end: float
    speaker_id: str


@dataclass
class ASRResult:
    text: str
    lang: str


@dataclass
class TranslationResult:
    text: str
    input_lang: str
    output_lang: str


@dataclass
class SummaryResult:
    text: str
    lang: str


@dataclass
class KeywordsResult:
    text: str
    lang: str


@dataclass
class AssistantResult:
    role: str
    content: str
